Bug 871554 - Cannot use an 'NFS ISO' repository (NFS share containing a Fedora ISO image) passed as inst.repo on cmdline
Cannot use an 'NFS ISO' repository (NFS share containing a Fedora ISO image) ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Unspecified
high Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-30 13:10 EDT by Jesse Keating
Modified: 2013-01-09 22:37 EST (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 871473
Environment:
Last Closed: 2012-11-08 04:41:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-10-30 13:10:38 EDT
+++ This bug was initially created as a clone of Bug #871473 +++

Description of problem:
I get traceback while installing RHEL-7 from nfsiso:

Traceback (most recent call last):
  File "/sbin/anaconda", line 899, in <module>
    setupDisplay(anaconda, opts)
  File "/sbin/anaconda", line 585, in setupDisplay
    anaconda.initInterface()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/__init__.py", line 214, in initInterface
    self._intf = GraphicalUserInterface(self.storage, self.payload,
  File "/usr/lib64/python2.7/site-packages/pyanaconda/__init__.py", line 146, in payload
    self._payload = klass(self.ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 115, in __init__
    self.reset()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 138, in reset
    isys.umount(ISO_DIR, removeDir=False)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/isys/__init__.py", line 152, in umount
    rc = _isys.umount(what)
SystemError: (16, 'umount.nfs: /run/install/isodir: device is busy')


Version-Release number of selected component (if applicable):
anaconda-18.21-1.fc18
RHEL-7.0-20121029.n.3

How reproducible:
always

Steps to Reproduce:
1. Start installation with nfsiso repository:
repo=nfsiso:n0bbos-0.bos.redhat.com:/vol/engarchive_iso/work/RHEL-7.0-20121029.n.3/compose/Server/ppc64/iso/ vnc lang=en_US.UTF-8 keymap=us ip=dhcp ksdevice=00:21:5e:a9:b7:a1 leavebootorder 
  
Actual results:
Anaconda throws traceback after vnc installation is started

Expected results:
No traceback, anaconda should be able to install system from nfsiso source

Additional info:

--- Additional comment from mbanas@redhat.com on 2012-10-30 09:47:43 EDT ---

Created attachment 635594 [details]
anaconda.log

--- Additional comment from mbanas@redhat.com on 2012-10-30 09:47:46 EDT ---

Created attachment 635595 [details]
program.log

--- Additional comment from mbanas@redhat.com on 2012-10-30 09:47:48 EDT ---

Created attachment 635596 [details]
storage.log

--- Additional comment from mbanas@redhat.com on 2012-10-30 09:47:51 EDT ---

Created attachment 635597 [details]
syslog

--- Additional comment from mbanas@redhat.com on 2012-10-30 09:47:54 EDT ---

Created attachment 635598 [details]
vncserver.log

--- Additional comment from pm-rhel@redhat.com on 2012-10-30 09:54:35 EDT ---

This request has been proposed as a blocker, but a release flag has
not been requested. Please set a release flag to ? to ensure we may
track this bug against the appropriate upcoming release, and reset
the blocker flag to ?.

--- Additional comment from jkeating@redhat.com on 2012-10-30 12:48:42 EDT ---

NFSISO has kinda been my doing lately, so I'll take this and look into it.
Comment 1 Jesse Keating 2012-10-30 13:12:32 EDT
Tracking the bug on the Fedora side, proposing Nice to Have for F18 beta.
Comment 2 Adam Williamson 2012-10-31 15:19:50 EDT
Discussed at 2012-10-31 NTH review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-31/f18beta-blocker-review-6.2012-10-31-16.00.log.txt .

As explained by Jesse at the meeting, he was using this bug as a general tracker for several NFS ISO issues in newui. We were not happy with acking something so vague, so we agreed in the meeting that this bug should be considered to be for one specific problem: NFS ISO functionality doesn't work via inst.repo cmdline parameter. It's not just that reboot at the end of install doesn't work, at this point, the function is just broken and needs fixing.

As this is a Final requirement and a feature of anaconda that we would like to be testing, the bug is approved as NTH for Beta. This means only that we will take fixes for the critical issue of NFS ISO functionality via inst.repo= not working. The other bugs in this area should be filed separately and considered for blocker/NTH status separately (if desired).
Comment 3 Jesse Keating 2012-11-01 00:04:07 EDT
Patch posted.  It's kinda ugly, but it gets nfsiso work for Beta.

What doesn't work is starting from nfsiso (used for stage2) and selecting a /different/ nfsiso source.  I feel that's acceptable for Beta.
Comment 4 Fedora Update System 2012-11-02 21:02:48 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 5 Fedora Update System 2012-11-03 15:27:21 EDT
Package anaconda-18.24-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.24-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17543/anaconda-18.24-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-05 20:38:00 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 7 Fedora Update System 2012-11-06 21:09:59 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 8 Fedora Update System 2012-11-07 22:24:15 EST
anaconda-18.27-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.27-1.fc18
Comment 9 Adam Williamson 2012-11-08 04:41:10 EST
18.26 went stable. Closing. (Bodhi closing of bugs when updates go stable is currently broken).
Comment 10 Martin Banas 2012-11-08 05:23:01 EST
Hello Adam,
Could you please wait with closing until somebody verifies that the bug is actually fixed?

Or did you verify that it works?
Thanks.
Comment 11 Adam Williamson 2012-11-08 05:37:39 EST
I'm just doing what Bodhi would have done anyway. we don't require verification before closure, and there's no way I'm slogging through 20+ NTH bugs to verify them.

Note You need to log in before you can comment on or make changes to this bug.